Package net.commoble.exmachina.internal.signal

# Record Class NodePos

java.lang.Object
java.lang.Record
net.commoble.exmachina.internal.signal.NodePos

Record Components:
  `face` - BlockPos + Direction, where the Direction is an internal face of the blockpos (down = bottom of that pos)
  `channel` - Channel which channel the signal is propagating on

@Internal public record NodePos(Face face, Channel channel) extends Record
Represents a node position in a signal graph

## Constructor Summary

Constructors
Constructor
Description
`NodePos(Face face, Channel channel)`
Creates an instance of a `NodePos` record class.

## Method Summary

Modifier and Type
Method
Description
`Channel`
`channel()`
Returns the value of the `channel` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`Face`
`face()`
Returns the value of the `face` record component.
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NodePos

public NodePos(Face face, Channel channel)
Creates an instance of a `NodePos` record class.

Parameters:
  `face` - the value for the `face` record component
  `channel` - the value for the `channel` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### face

public Face face()
Returns the value of the `face` record component.

Returns:
  the value of the `face` record component

### channel

public Channel channel()
Returns the value of the `channel` record component.

Returns:
  the value of the `channel` record component